Name: nicdetect
Version: 1.1.0
Release: alt2

Summary: Script for detection network cards during boot
License: GPL
Group: System/Base
BuildArch: noarch

Source0: %name-%version.tar.bz2

PreReq: pciutils
Requires: modutils chkconfig network-config-subsystem /usr/bin/lspci ethtool

%description
This package allows detect ethernet network adapters on every boot and create
proper ifcfg-ethX files if they are absent.

%prep
%setup -q -c

%install
%makeinstall

%post
%post_service %name
%post_service scsidetect

%preun
%preun_service %name
%preun_service scsidetect
%files
%_sysconfdir/*
%_initdir/%name

%changelog
* Mon Nov 22 2004 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 1.1.0-alt2
- Updated requires

* Tue Feb  4 2003 Grigory Milev <week@altlinux.ru> 1.1.0-alt1
- merge with main stream

* Fri Oct 25 2002 Grigory Milev <week@altlinux.ru> 1.0.1-alt1
- ALT Linux adaptation

* Thu Oct 24 2002 Ed V. Bartosh <ed@sam-solutions.net> 1.0.0-9aw
- 82562 PRO/100 VE (CNR) Ethernet Controller (8086:103a) added to the pcilist

* Mon Sep  9 2002 Ed V. Bartosh <ed@sam-solutions.net> 1.0.0-6aw
  - New Intel PRO/1000 adapters added to pci list

* Fri May 31 2002 Ihar Viarheichyk <iverg@optifacio.com> 1.0.0-2aw
  - New adapters pci ids added to pci list

* Tue May 15 2002 Ihar Viarheichyk <iverg@optifacio.com> 1.0.0-2aw
  - New gigabit adapter spec added to pcilist and script

* Tue Mar 12 2002 Grigory Milev <week@altlinux.ru> 1.0.0-1aw
- fix post install and pre uninstall scripts

* Tue Mar 05 2002 Ihar Viarheichyk <iverg@optifacio.com>
- Spec file created

